import request from '@/utils/request'

export function awardList(params: Record<string, any>) {
  return request({ method: 'get', url: '/award/list', params })
}

export function awardPoolList(params: Record<string, any>) {
  return request({ method: 'get', url: '/award/pool/list', params })
}

export function awardTrendsList(params: Record<string, any>) {
  return request({ method: 'get', url: '/award/trends/list', params })
}

export function awardGet(id: string | number) {
  return request({ method: 'get', url: '/award/get', params: { id } })
}

export function awardAdd(data: Record<string, any>) {
  return request({ method: 'post', url: '/award/add', data })
}
